SalesOS.

Predictive Routing

AI-powered lead/deal routing

List routing predictions

GET
/v1/predictive-routing/predictions

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusstring
Value in: "PENDING" | "ACCEPTED" | "OVERRIDDEN"
entityTypestring
Value in: "LEAD" | "OPPORTUNITY"
assignedTostring
pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/predictive-routing/predictions?status=PENDING&entityType=LEAD&assignedTo=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Get routing prediction details

GET
/v1/predictive-routing/predictions/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Prediction ID

curl -X GET "https://api.salesos.org/v1/predictive-routing/predictions/<string>" \
  -H "Authorization: Bearer <token>"

Accept and execute a routing prediction

POST
/v1/predictive-routing/predictions/{id}/route

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Prediction ID

curl -X POST "https://api.salesos.org/v1/predictive-routing/predictions/<string>/route" \
  -H "Authorization: Bearer <token>"

Override a prediction with manual assignment

POST
/v1/predictive-routing/predictions/{id}/override

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Prediction ID

curl -X POST "https://api.salesos.org/v1/predictive-routing/predictions/<string>/override" \
  -H "Authorization: Bearer <token>"

Get routing model information

GET
/v1/predictive-routing/model

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/predictive-routing/model" \
  -H "Authorization: Bearer <token>"

Get predictive routing statistics

GET
/v1/predictive-routing/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/predictive-routing/stats" \
  -H "Authorization: Bearer <token>"

Get predictive routing configuration

GET
/v1/predictive-routing/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/predictive-routing/config" \
  -H "Authorization: Bearer <token>"

Update predictive routing configuration

PUT
/v1/predictive-routing/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PUT "https://api.salesos.org/v1/predictive-routing/config" \
  -H "Authorization: Bearer <token>"

Trigger routing model retraining

POST
/v1/predictive-routing/model/retrain

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/predictive-routing/model/retrain" \
  -H "Authorization: Bearer <token>"

Get routing history

GET
/v1/predictive-routing/history

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

pagestring
limitstring
startDatestring
endDatestring
curl -X GET "https://api.salesos.org/v1/predictive-routing/history?page=%3Cstring%3E&limit=%3Cstring%3E&startDate=%3Cstring%3E&endDate=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"